From 0fc2add31f4941e80ec42e6b450b733bcf2d34fe Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sun, 28 Apr 2013 17:54:44 +0200
Subject: Use self.table_name insteat of set_table_name

--HG--
extra : source : 524476a077e9299dbeeca526cee74214b452181a
---
 app/models/principal.rb                            |    2 +-
 lib/tasks/migrate_from_mantis.rake                 |   32 ++++++++++----------
 lib/tasks/migrate_from_trac.rake                   |   18 +++++-----
 .../classic_pagination/test/fixtures/developer.rb  |    2 +-
 4 files changed, 27 insertions(+), 27 deletions(-)

diff --git a/app/models/principal.rb b/app/models/principal.rb
index 1c49db4..3ee5ace 100644
--- a/app/models/principal.rb
+++ b/app/models/principal.rb
@@ -13,7 +13,7 @@
 #++
 
 class Principal < ActiveRecord::Base
-  set_table_name "#{table_name_prefix}users#{table_name_suffix}"
+  self.table_name = "#{table_name_prefix}users#{table_name_suffix}"
 
   has_many :members, :foreign_key => 'user_id', :dependent => :destroy
   has_many :memberships, :class_name => 'Member', :foreign_key => 'user_id', :include => [:project, :roles], :conditions => {:projects => {:status => Project::STATUS_ACTIVE}}, :order => "#{Project.table_name}.name"
diff --git a/lib/tasks/migrate_from_mantis.rake b/lib/tasks/migrate_from_mantis.rake
index 17a7379..67b80e0 100644
--- a/lib/tasks/migrate_from_mantis.rake
+++ b/lib/tasks/migrate_from_mantis.rake
@@ -82,7 +82,7 @@ task :migrate_from_mantis => :environment do
                                }
 
     class MantisUser < ActiveRecord::Base
-      set_table_name :mantis_user_table
+      self.table_name = "mantis_user_table"
 
       def firstname
         @firstname = realname.blank? ? username : realname.split.first[0..29]
@@ -110,7 +110,7 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisProject < ActiveRecord::Base
-      set_table_name :mantis_project_table
+      self.table_name = "mantis_project_table"
       has_many :versions, :class_name => "MantisVersion", :foreign_key => :project_id
       has_many :categories, :class_name => "MantisCategory", :foreign_key => :project_id
       has_many :news, :class_name => "MantisNews", :foreign_key => :project_id
@@ -122,7 +122,7 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisVersion < ActiveRecord::Base
-      set_table_name :mantis_project_version_table
+      self.table_name = "mantis_project_version_table"
 
       def version
         read_attribute(:version)[0..29]
@@ -134,15 +134,15 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisCategory < ActiveRecord::Base
-      set_table_name :mantis_project_category_table
+      self.table_name = "mantis_project_category_table"
     end
 
     class MantisProjectUser < ActiveRecord::Base
-      set_table_name :mantis_project_user_list_table
+      self.table_name = "mantis_project_user_list_table"
     end
 
     class MantisBug < ActiveRecord::Base
-      set_table_name :mantis_bug_table
+      self.table_name = "mantis_bug_table"
       belongs_to :bug_text, :class_name => "MantisBugText", :foreign_key => :bug_text_id
       has_many :bug_notes, :class_name => "MantisBugNote", :foreign_key => :bug_id
       has_many :bug_files, :class_name => "MantisBugFile", :foreign_key => :bug_id
@@ -150,7 +150,7 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisBugText < ActiveRecord::Base
-      set_table_name :mantis_bug_text_table
+      self.table_name = "mantis_bug_text_table"
 
       # Adds Mantis steps_to_reproduce and additional_information fields
       # to description if any
@@ -163,17 +163,17 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisBugNote < ActiveRecord::Base
-      set_table_name :mantis_bugnote_table
+      self.table_name = "mantis_bugnote_table"
       belongs_to :bug, :class_name => "MantisBug", :foreign_key => :bug_id
       belongs_to :bug_note_text, :class_name => "MantisBugNoteText", :foreign_key => :bugnote_text_id
     end
 
     class MantisBugNoteText < ActiveRecord::Base
-      set_table_name :mantis_bugnote_text_table
+      self.table_name = "mantis_bugnote_text_table"
     end
 
     class MantisBugFile < ActiveRecord::Base
-      set_table_name :mantis_bug_file_table
+      self.table_name = "mantis_bug_file_table"
 
       def size
         filesize
@@ -198,19 +198,19 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisBugRelationship < ActiveRecord::Base
-      set_table_name :mantis_bug_relationship_table
+      self.table_name = "mantis_bug_relationship_table"
     end
 
     class MantisBugMonitor < ActiveRecord::Base
-      set_table_name :mantis_bug_monitor_table
+      self.table_name = "mantis_bug_monitor_table"
     end
 
     class MantisNews < ActiveRecord::Base
-      set_table_name :mantis_news_table
+      self.table_name = "mantis_news_table"
     end
 
     class MantisCustomField < ActiveRecord::Base
-      set_table_name :mantis_custom_field_table
+      self.table_name = "mantis_custom_field_table"
       set_inheritance_column :none
       has_many :values, :class_name => "MantisCustomFieldString", :foreign_key => :field_id
       has_many :projects, :class_name => "MantisCustomFieldProject", :foreign_key => :field_id
@@ -225,11 +225,11 @@ task :migrate_from_mantis => :environment do
     end
 
     class MantisCustomFieldProject < ActiveRecord::Base
-      set_table_name :mantis_custom_field_project_table
+      self.table_name = "mantis_custom_field_project_table"
     end
 
     class MantisCustomFieldString < ActiveRecord::Base
-      set_table_name :mantis_custom_field_string_table
+      self.table_name = "mantis_custom_field_string_table"
     end
 
 
diff --git a/lib/tasks/migrate_from_trac.rake b/lib/tasks/migrate_from_trac.rake
index 8c3fa77..6a974a5 100644
--- a/lib/tasks/migrate_from_trac.rake
+++ b/lib/tasks/migrate_from_trac.rake
@@ -83,11 +83,11 @@ namespace :redmine do
       end
 
       class TracComponent < ActiveRecord::Base
-        set_table_name :component
+        self.table_name = "component"
       end
 
       class TracMilestone < ActiveRecord::Base
-        set_table_name :milestone
+        self.table_name = "milestone"
         # If this attribute is set a milestone has a defined target timepoint
         def due
           if read_attribute(:due) && read_attribute(:due) > 0
@@ -112,11 +112,11 @@ namespace :redmine do
       end
 
       class TracTicketCustom < ActiveRecord::Base
-        set_table_name :ticket_custom
+        self.table_name = "ticket_custom"
       end
 
       class TracAttachment < ActiveRecord::Base
-        set_table_name :attachment
+        self.table_name = "attachment"
         set_inheritance_column :none
 
         def time; Time.at(read_attribute(:time)) end
@@ -157,7 +157,7 @@ namespace :redmine do
       end
 
       class TracTicket < ActiveRecord::Base
-        set_table_name :ticket
+        self.table_name = "ticket"
         set_inheritance_column :none
 
         # ticket changes: only migrate status changes and comments
@@ -185,7 +185,7 @@ namespace :redmine do
       end
 
       class TracTicketChange < ActiveRecord::Base
-        set_table_name :ticket_change
+        self.table_name = "ticket_change"
 
         def time; Time.at(read_attribute(:time)) end
       end
@@ -199,7 +199,7 @@ namespace :redmine do
                            CamelCase TitleIndex)
 
       class TracWikiPage < ActiveRecord::Base
-        set_table_name :wiki
+        self.table_name = "wiki"
         set_primary_key :name
 
         has_many :attachments, :class_name => "TracAttachment",
@@ -216,11 +216,11 @@ namespace :redmine do
       end
 
       class TracPermission < ActiveRecord::Base
-        set_table_name :permission
+        self.table_name = "permission"
       end
 
       class TracSessionAttribute < ActiveRecord::Base
-        set_table_name :session_attribute
+        self.table_name = "session_attribute"
       end
 
       def self.find_or_create_user(username, project_member = false)
